Debian Bug report logs - #472802
RFP: limesurvey -- web-based survey design, distribution, and collection

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julian Gilbey <jdg@debian.org>

Date: Wed, 26 Mar 2008 14:06:01 UTC

Severity: wishlist

Merged with 610951

Found in version 2008-03-26

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#472802; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Debian bug reports <submit@bugs.debian.org>
Subject: ITP: limesurvey -- web based survey design and run
Date: Wed, 26 Mar 2008 14:04:57 +0000
Package: wnpp
Severity: wishlist
Version: 2008-03-26

http://www.limesurvey.org/
Licence: GPL v2 or higher

Description: an open source web survey application
 Limesurvey basically contains everything you need for doing nearly 
 every survey with grace.

   Julian




Owner recorded as Julian Gilbey <jdg@debian.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 29 Mar 2008 09:25:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nick.barcet@canonical.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #12 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nick.barcet@canonical.com>
To: 472802@bugs.debian.org
Subject: ITP: limesurvey -- web based survey design and run
Date: Mon, 14 Jul 2008 23:01:26 -0400
[Message part 1 (text/plain, inline)]
owner 472802 !

I've uploaded version 171plusbuild5246r20080708 of the package at
http://www.nijaba.info/debian/
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@polya.uklinux.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #17 received at 472802@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@polya.uklinux.net>
To: Nicolas Barcet <nick.barcet@canonical.com>, 472802@bugs.debian.org
Subject: Re: Bug#472802: ITP: limesurvey -- web based survey design and run
Date: Tue, 15 Jul 2008 08:06:53 +0100
On Mon, Jul 14, 2008 at 11:01:26PM -0400, Nicolas Barcet wrote:
> owner 472802 !
> 
> I've uploaded version 171plusbuild5246r20080708 of the package at
> http://www.nijaba.info/debian/

[Not cc'd to the bug report]

Please use a more readable version number, either:

1.71+build5246 or 1.71+svn20080708

Note the decimal point in 1.71, as it is not version 171.

   Julian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nicolas.barcet@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #22 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nicolas.barcet@ubuntu.com>
To: Julian Gilbey <jdg@polya.uklinux.net>
Cc: 472802@bugs.debian.org
Subject: Re: Bug#472802: ITP: limesurvey -- web based survey design and run
Date: Tue, 15 Jul 2008 10:56:55 -0400
On Tue, 15 Jul 2008 08:06:53 +0100
Julian Gilbey <jdg@polya.uklinux.net> wrote:

> Please use a more readable version number, either:
> 
> 1.71+build5246 or 1.71+svn20080708

Thanks Julian.  I fixed that and updated the watch file accordingly.
Version is now 1.71plus+build5246 (upstream version is "1.71plus").
Updated package is available at the same place.

Nick




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Wed, 08 Oct 2008 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent" <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Wed, 08 Oct 2008 18:45:03 GMT) Full text and rfc822 format available.

Message #27 received at 472802@bugs.debian.org (full text, mbox):

From: "Mathieu Parent" <math.parent@gmail.com>
To: 472802@bugs.debian.org, "Nicolas Barcet" <nick.barcet@canonical.com>
Cc: "Julian Gilbey" <jdg@debian.org>
Subject: Collaboration
Date: Wed, 8 Oct 2008 20:42:04 +0200
Hi,

I have also packaged limesurvey (unfortunately I've seen this ITP too
late). We can join our forces.

Mine is in collab-maint, I can make the merge.

What do you think?

Mathieu Parent

PS:
Vcs-Svn: svn://svn.debian.org/collab-maint/ext-maint/limesurvey/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/limesurvey/trunk/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Wed, 08 Oct 2008 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nicolas@barcet.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Wed, 08 Oct 2008 19:45:02 GMT) Full text and rfc822 format available.

Message #32 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nicolas@barcet.com>
To: Mathieu Parent <math.parent@gmail.com>, 472802@bugs.debian.org
Cc: Julian Gilbey <jdg@debian.org>
Subject: Re: Bug#472802: Collaboration
Date: Wed, 08 Oct 2008 21:42:21 +0200
[Message part 1 (text/plain, inline)]
Mathieu Parent wrote:
> I have also packaged limesurvey (unfortunately I've seen this ITP too
> late). We can join our forces.
> 
> Mine is in collab-maint, I can make the merge.
> 
> What do you think?

Sounds good to me.  Let me know if I can help.

Nick

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Sun, 11 Jan 2009 13:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Sun, 11 Jan 2009 13:24:02 GMT) Full text and rfc822 format available.

Message #37 received at 472802@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Mathieu Parent <math.parent@gmail.com>, 472802@bugs.debian.org
Cc: Nicolas Barcet <nick.barcet@canonical.com>, Julian Gilbey <jdg@debian.org>
Subject: what is missing for a limesurvey upload?
Date: Sun, 11 Jan 2009 14:22:00 +0100
On Wed, Oct 08, 2008 at 08:42:04PM +0200, Mathieu Parent wrote:
> I have also packaged limesurvey (unfortunately I've seen this ITP too
> late). We can join our forces.
> 
> Mine is in collab-maint, I can make the merge.
> 
> What do you think?

Hi all, thanks for your work on the limesurvey package.
I'm gonna need this software and I'm saddened to not seeing it in the
Debian archive yet.

Can I ask what is mussing for uploading the package? Is it just a
matter of sponsoring or what? If you need sponsoring please let me
know, as I'd be happy to help out (as I'm going to use your package
anyhow :-)).

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Sun, 11 Jan 2009 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Barcet <nick.barcet@canonical.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Sun, 11 Jan 2009 15:39:03 GMT) Full text and rfc822 format available.

Message #42 received at 472802@bugs.debian.org (full text, mbox):

From: Nick Barcet <nick.barcet@canonical.com>
To: Stefano Zacchiroli <zack@debian.org>, 472802@bugs.debian.org
Subject: Re: what is missing for a limesurvey upload?
Date: Sun, 11 Jan 2009 16:36:26 +0100
[Message part 1 (text/plain, inline)]
Well, since I received the previous message, I thought that Mathieu was
taking over.  However, a version of my package is waiting for a review
and possibly some fixes at: http://www.nijaba.info/debian/

Feel free to do whatever you want to it

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Sun, 11 Jan 2009 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Sun, 11 Jan 2009 17:24:03 GMT) Full text and rfc822 format available.

Message #47 received at 472802@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Nick Barcet <nick.barcet@canonical.com>
Cc: 472802@bugs.debian.org
Subject: Re: what is missing for a limesurvey upload?
Date: Sun, 11 Jan 2009 18:22:50 +0100
On Sun, Jan 11, 2009 at 04:36:26PM +0100, Nick Barcet wrote:
> Well, since I received the previous message, I thought that Mathieu was
> taking over.  However, a version of my package is waiting for a review
> and possibly some fixes at: http://www.nijaba.info/debian/

Thanks for the pointer.

> Feel free to do whatever you want to it

Please expand: I'm willing to review / sponsor your package, but I'm
not willing to maintain it in Debian for the moment. Hence, if you (or
someone else) want to take care of maintaining it I'll be happy to
sponsor---even routinely---if there is the need.

If this is not the case it would be quite pointless to sponsor the
upload of a package which will be de facto orphaned just after its
first upload.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Sun, 11 Jan 2009 19:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent" <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Sun, 11 Jan 2009 19:21:02 GMT) Full text and rfc822 format available.

Message #52 received at 472802@bugs.debian.org (full text, mbox):

From: "Mathieu Parent" <math.parent@gmail.com>
To: "Stefano Zacchiroli" <zack@debian.org>
Cc: 472802@bugs.debian.org, "Nicolas Barcet" <nick.barcet@canonical.com>, "Julian Gilbey" <jdg@debian.org>
Subject: Re: what is missing for a limesurvey upload?
Date: Sun, 11 Jan 2009 20:18:30 +0100
Hi,


On Sun, Jan 11, 2009 at 2:22 PM, Stefano Zacchiroli <zack@debian.org> wrote:
> On Wed, Oct 08, 2008 at 08:42:04PM +0200, Mathieu Parent wrote:
>> I have also packaged limesurvey (unfortunately I've seen this ITP too
>> late). We can join our forces.
>>
>> Mine is in collab-maint, I can make the merge.
>>
>> What do you think?
>
> Hi all, thanks for your work on the limesurvey package.
> I'm gonna need this software and I'm saddened to not seeing it in the
> Debian archive yet.
>
> Can I ask what is mussing for uploading the package? Is it just a
> matter of sponsoring or what? If you need sponsoring please let me
> know, as I'd be happy to help out (as I'm going to use your package
> anyhow :-)).

I don't have much time for this now.
limesurvey still requires a lot of work to be included in main. if you
are ready to help, here are some areas of interest:
- copyright should be checked more closely (maybe some non-DFSG
included libs should be removed)
- external libs should be used if already packaged
- test, test, test

If you want, you can use the svn repository and correct all these.

> Cheers.
>
> --
> Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
> zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
> Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
> sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
>

Regards


Mathieu Parent

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#472802; Package wnpp. (Sun, 11 Jan 2009 20:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 11 Jan 2009 20:48:02 GMT) Full text and rfc822 format available.

Message #57 received at 472802@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Stefano Zacchiroli <zack@debian.org>
Cc: Mathieu Parent <math.parent@gmail.com>, 472802@bugs.debian.org, Nicolas Barcet <nick.barcet@canonical.com>
Subject: Re: what is missing for a limesurvey upload?
Date: Sun, 11 Jan 2009 20:43:34 +0000
On Sun, Jan 11, 2009 at 02:22:00PM +0100, Stefano Zacchiroli wrote:
> On Wed, Oct 08, 2008 at 08:42:04PM +0200, Mathieu Parent wrote:
> > I have also packaged limesurvey (unfortunately I've seen this ITP too
> > late). We can join our forces.
> > 
> > Mine is in collab-maint, I can make the merge.
> > 
> > What do you think?
> 
> Hi all, thanks for your work on the limesurvey package.
> I'm gonna need this software and I'm saddened to not seeing it in the
> Debian archive yet.
> 
> Can I ask what is mussing for uploading the package? Is it just a
> matter of sponsoring or what? If you need sponsoring please let me
> know, as I'd be happy to help out (as I'm going to use your package
> anyhow :-)).

I gave Nick a list of questions and issues, but didn't realise that
there was a new version on his website; Nick and Mathieu - where do we
stand on a collaboration?  Or does one of you want to do it alone?

   Julian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Sun, 11 Jan 2009 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent" <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Sun, 11 Jan 2009 21:03:04 GMT) Full text and rfc822 format available.

Message #62 received at 472802@bugs.debian.org (full text, mbox):

From: "Mathieu Parent" <math.parent@gmail.com>
To: "Julian Gilbey" <jdg@debian.org>
Cc: "Stefano Zacchiroli" <zack@debian.org>, 472802@bugs.debian.org, "Nicolas Barcet" <nick.barcet@canonical.com>
Subject: Re: what is missing for a limesurvey upload?
Date: Sun, 11 Jan 2009 21:56:51 +0100
Hi,

On Sun, Jan 11, 2009 at 9:43 PM, Julian Gilbey <jdg@debian.org> wrote:
> On Sun, Jan 11, 2009 at 02:22:00PM +0100, Stefano Zacchiroli wrote:
>> On Wed, Oct 08, 2008 at 08:42:04PM +0200, Mathieu Parent wrote:
>> > I have also packaged limesurvey (unfortunately I've seen this ITP too
>> > late). We can join our forces.
>> >
>> > Mine is in collab-maint, I can make the merge.
>> >
>> > What do you think?
>>
>> Hi all, thanks for your work on the limesurvey package.
>> I'm gonna need this software and I'm saddened to not seeing it in the
>> Debian archive yet.
>>
>> Can I ask what is mussing for uploading the package? Is it just a
>> matter of sponsoring or what? If you need sponsoring please let me
>> know, as I'd be happy to help out (as I'm going to use your package
>> anyhow :-)).
>
> I gave Nick a list of questions and issues, but didn't realise that
> there was a new version on his website; Nick and Mathieu - where do we
> stand on a collaboration?  Or does one of you want to do it alone?

I have put it on collab-maint's SVN for collaboration. So anyone is
welcomed to help. As I don't have time for limesurvey now, maybe any
one of you can take care of it.

Mathieu Parent


>
>   Julian
>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#472802; Package wnpp. (Mon, 12 Jan 2009 07:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 12 Jan 2009 07:24:02 GMT) Full text and rfc822 format available.

Message #67 received at 472802@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Mathieu Parent <math.parent@gmail.com>
Cc: Stefano Zacchiroli <zack@debian.org>, 472802@bugs.debian.org, Nicolas Barcet <nick.barcet@canonical.com>
Subject: Re: what is missing for a limesurvey upload?
Date: Mon, 12 Jan 2009 07:22:24 +0000
On Sun, Jan 11, 2009 at 09:56:51PM +0100, Mathieu Parent wrote:
> I have put it on collab-maint's SVN for collaboration. So anyone is
> welcomed to help. As I don't have time for limesurvey now, maybe any
> one of you can take care of it.

I don't know about collab-maint - please could you give us some
details of how we access it etc.?

Thanks!

   Julian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Mon, 12 Jan 2009 08:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Mon, 12 Jan 2009 08:12:02 GMT) Full text and rfc822 format available.

Message #72 received at 472802@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Julian Gilbey <jdg@debian.org>
Cc: Mathieu Parent <math.parent@gmail.com>, 472802@bugs.debian.org, Nicolas Barcet <nick.barcet@canonical.com>
Subject: Re: what is missing for a limesurvey upload?
Date: Mon, 12 Jan 2009 09:10:36 +0100
On Mon, Jan 12, 2009 at 07:22:24AM +0000, Julian Gilbey wrote:
> I don't know about collab-maint - please could you give us some
> details of how we access it etc.?

The full story is here: http://wiki.debian.org/Alioth/PackagingProject

The short is that limesurvey is currently available at the following
SVN URL on alioth:

  svn+ssh://svn.debian.org/svn/collab-maint/ext-maint

to which any DD can commit + anyone having an Alioth account and being
a member of the "collab-maint" project [1].

Cheers.

[1] http://alioth.debian.org/projects/collab-maint/

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Wed, 24 Jun 2009 13:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Schmitz <carsten.schmitz@limesurvey.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Wed, 24 Jun 2009 13:06:06 GMT) Full text and rfc822 format available.

Message #77 received at 472802@bugs.debian.org (full text, mbox):

From: Carsten Schmitz <carsten.schmitz@limesurvey.org>
To: 472802@bugs.debian.org
Subject: What's happening?
Date: Wed, 24 Jun 2009 15:00:25 +0200
Hello!

My name is Carsten Schmitz, I am the project lead of the LimeSurvey 
project. I asked Nicolas Barcet to package LimeSurvey last year and he 
already showed off a working package to me.

Now for some reason this whole issue fell asleep. I am not fully aware 
of the procedures to push this packaging to the finish line but I would 
be happy to get any kind of update about what is going on. Nicolas told 
me that we need to find a sponsor for this package who would be willing 
to go the full way.

So, any hunch how to do that?

Best regards

Carsten






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Thu, 02 Jul 2009 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@polya.uklinux.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Thu, 02 Jul 2009 18:27:03 GMT) Full text and rfc822 format available.

Message #82 received at 472802@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@polya.uklinux.net>
To: Carsten Schmitz <carsten.schmitz@limesurvey.org>, 472802@bugs.debian.org
Cc: Nicolas Barcet <nicolas@barcet.com>
Subject: Re: Bug#472802: What's happening?
Date: Thu, 2 Jul 2009 19:18:38 +0100
On Wed, Jun 24, 2009 at 03:00:25PM +0200, Carsten Schmitz wrote:
> Hello!
>
> My name is Carsten Schmitz, I am the project lead of the LimeSurvey  
> project. I asked Nicolas Barcet to package LimeSurvey last year and he  
> already showed off a working package to me.
>
> Now for some reason this whole issue fell asleep. I am not fully aware  
> of the procedures to push this packaging to the finish line but I would  
> be happy to get any kind of update about what is going on. Nicolas told  
> me that we need to find a sponsor for this package who would be willing  
> to go the full way.
>
> So, any hunch how to do that?

There were some issues with the package which Nicolas offered, and I
pointed these out to him - then I went off and got engaged and
completely forgot to look at the latest version.

Right, time to get off my butt and do something about it.

I've got two crazy weeks of school left - please could you ping me
after 20th July and I'll look into it?

Thanks!

   Julian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Sun, 13 Sep 2009 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Sun, 13 Sep 2009 01:54:03 GMT) Full text and rfc822 format available.

Message #87 received at 472802@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Julian Gilbey <jdg@polya.uklinux.net>, 472802@bugs.debian.org
Cc: Carsten Schmitz <carsten.schmitz@limesurvey.org>, Nicolas Barcet <nicolas@barcet.com>, Mathieu Parent <math.parent@gmail.com>
Subject: Re: Bug#472802: What's happening?
Date: Sat, 12 Sep 2009 18:47:26 -0700
[Message part 1 (text/plain, inline)]
On Thu, Jul 02, 2009 at 07:18:38PM +0100, Julian Gilbey wrote:
> On Wed, Jun 24, 2009 at 03:00:25PM +0200, Carsten Schmitz wrote:
> > Hello!
> >
> > My name is Carsten Schmitz, I am the project lead of the LimeSurvey  
> > project. I asked Nicolas Barcet to package LimeSurvey last year and he  
> > already showed off a working package to me.
> >
> > Now for some reason this whole issue fell asleep. I am not fully aware  
> > of the procedures to push this packaging to the finish line but I would  
> > be happy to get any kind of update about what is going on. Nicolas told  
> > me that we need to find a sponsor for this package who would be willing  
> > to go the full way.
> >
> > So, any hunch how to do that?
> 
> There were some issues with the package which Nicolas offered, and I
> pointed these out to him - then I went off and got engaged and
> completely forgot to look at the latest version.
> 
> Right, time to get off my butt and do something about it.
> 
> I've got two crazy weeks of school left - please could you ping me
> after 20th July and I'll look into it?

ping :)

so what's happening with this?

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Sun, 13 Sep 2009 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Sun, 13 Sep 2009 10:42:03 GMT) Full text and rfc822 format available.

Message #92 received at 472802@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Ryan Niebur <ryanryan52@gmail.com>
Cc: Julian Gilbey <jdg@polya.uklinux.net>, 472802@bugs.debian.org, Carsten Schmitz <carsten.schmitz@limesurvey.org>, Nicolas Barcet <nicolas@barcet.com>
Subject: Re: Bug#472802: What's happening?
Date: Sun, 13 Sep 2009 12:30:14 +0200
Hi,
On Sun, Sep 13, 2009 at 3:47 AM, Ryan Niebur <ryanryan52@gmail.com> wrote:
>
> ping :)
>
> so what's happening with this?

I don't have time to work on this. My current work is (as said before)
on collab-maint svn. Feel free to contribute !

Mathieu Parent




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Sun, 13 Sep 2009 11:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nicolas@barcet.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Sun, 13 Sep 2009 11:06:05 GMT) Full text and rfc822 format available.

Message #97 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nicolas@barcet.com>
To: Mathieu Parent <math.parent@gmail.com>, 472802@bugs.debian.org
Cc: Ryan Niebur <ryanryan52@gmail.com>, Julian Gilbey <jdg@polya.uklinux.net>, Carsten Schmitz <carsten.schmitz@limesurvey.org>
Subject: Re: Bug#472802: What's happening?
Date: Sun, 13 Sep 2009 12:48:51 +0200
On 13/09/09 12:30, Mathieu Parent wrote:
> Hi,
> On Sun, Sep 13, 2009 at 3:47 AM, Ryan Niebur<ryanryan52@gmail.com>  wrote:
>>
>> ping :)
>>
>> so what's happening with this?
>
> I don't have time to work on this. My current work is (as said before)
> on collab-maint svn. Feel free to contribute !

I have scheduled some time to work on it a bit this week.  Will let you know.

Nick




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Fri, 25 Sep 2009 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ryan@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Fri, 25 Sep 2009 06:51:03 GMT) Full text and rfc822 format available.

Message #102 received at 472802@bugs.debian.org (full text, mbox):

From: ryan@debian.org
To: Nicolas Barcet <nicolas@barcet.com>
Cc: 472802@bugs.debian.org
Subject: Re: Bug#472802: What's happening?
Date: Thu, 24 Sep 2009 23:44:58 -0700
[Message part 1 (text/plain, inline)]
On Sun, Sep 13, 2009 at 12:48:51PM +0200, Nicolas Barcet wrote:
> On 13/09/09 12:30, Mathieu Parent wrote:
>> Hi,
>> On Sun, Sep 13, 2009 at 3:47 AM, Ryan Niebur<ryanryan52@gmail.com>  wrote:
>>>
>>> ping :)
>>>
>>> so what's happening with this?
>>
>> I don't have time to work on this. My current work is (as said before)
>> on collab-maint svn. Feel free to contribute !
>
> I have scheduled some time to work on it a bit this week.  Will let you know.
>

Soooo...did you make any progress on this? We really want this
packaged at work. Also, you can add me to the list of people willing
to sponsor. I'm a bit too reluctant to touch php things to maintain it
myself tho. :)

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Fri, 25 Sep 2009 11:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nicolas@barcet.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Gilbey <jdg@debian.org>. (Fri, 25 Sep 2009 11:18:07 GMT) Full text and rfc822 format available.

Message #107 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nicolas@barcet.com>
Cc: 472802@bugs.debian.org
Subject: Re: Bug#472802: What's happening?
Date: Fri, 25 Sep 2009 13:12:22 +0200
On 25/09/09 08:44, ryan@debian.org wrote:
> Soooo...did you make any progress on this? We really want this
> packaged at work. Also, you can add me to the list of people willing
> to sponsor. I'm a bit too reluctant to touch php things to maintain it
> myself tho. :)

Finally got around to updating it.  It is now on [1].  Tests/reviews welcome.

[1] http://www.nijaba.info/debian

Nick




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Tue, 23 Mar 2010 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Tue, 23 Mar 2010 09:03:03 GMT) Full text and rfc822 format available.

Message #112 received at 472802@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: 472802@bugs.debian.org
Subject: Status of limesurvey packaging (Was: Bug#472802: What's happening?)
Date: Tue, 23 Mar 2010 09:43:05 +0100
Hi,

I checked out

   svn://svn.debian.org/svn/collab-maint/ext-maint/limesurvey

and also had a look at

   http://www.nijaba.info/debian

While the later is a bit more up to date (any reason not to commit the
packaging to collab-maint?)  both are way behind upstream.  Are there
any plans to continue packaging and perhaps moving it to any official
Debian release?

I had a short look into the packaging of both URLs above and can tell
that neither the dbconfig common patches will apply to the new upstream
version nor the packaging will work if I try to clone the idea of this
patches to the new configuration method.

Any updates in the queue?

Kind regards

       Andreas.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Tue, 23 Mar 2010 09:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nicolas@barcet.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Tue, 23 Mar 2010 09:30:08 GMT) Full text and rfc822 format available.

Message #117 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nicolas@barcet.com>
To: 472802@bugs.debian.org
Subject: Re: Bug#472802: Status of limesurvey packaging (Was: Bug#472802: What's happening?)
Date: Tue, 23 Mar 2010 10:23:11 +0100
[Message part 1 (text/plain, inline)]
On 23/03/10 09:43, Andreas Tille wrote:
> Any updates in the queue?

I am sorry, but since I have been failing getting this package in Debian,
without any reasons displayed or communicated, I don't see any reason to
keep on updating this package except when I need to use it, which happens
about once or twice a year.

There is no reasons why this is not in collab-maint appart from the fact
that I don't have time to research how to get commit rights on it.

So that you know, configurations files of limesurvey have never been
identical from one version to the other and I have always had to redo the
patches.

Nick

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Thu, 25 Mar 2010 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Thu, 25 Mar 2010 13:03:03 GMT) Full text and rfc822 format available.

Message #122 received at 472802@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: 472802@bugs.debian.org
Subject: Re: Status of limesurvey packaging (Was: Bug#472802: What's happening?)
Date: Thu, 25 Mar 2010 13:48:19 +0100
On Tue, 23 Mar 2010, Nicolas Barcet wrote:
> I am sorry, but since I have been failing getting this package in Debian,
> without any reasons displayed or communicated,

What did you actually tried to get this package into Debian?  Did you
asked for a sponsor?  I have seen several people (including DDs)
interested but there was no such signal like "I'm read with packaging,
it works, could somebody please test and upload."

> I don't see any reason to
> keep on updating this package except when I need to use it, which happens
> about once or twice a year.

That's fair.

> There is no reasons why this is not in collab-maint appart from the fact
> that I don't have time to research how to get commit rights on it.

If I'm not missleaded you just need to ask for an alioth.debian.org
account.  A short Google search leaded me to

   http://wiki.debian.org/Alioth/PackagingProject

which seems to be a good starting point.

> So that you know, configurations files of limesurvey have never been
> identical from one version to the other and I have always had to redo the
> patches.

I guess that's a bit boring and makes maintenance harder - it would be
nice if somebody who really uses the package would take over maintenance.

Kind regards

       Andreas.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Fri, 29 Oct 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jan-Pascal van Best" <janpascal@vanbest.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Fri, 29 Oct 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #127 received at 472802@bugs.debian.org (full text, mbox):

From: "Jan-Pascal van Best" <janpascal@vanbest.org>
To: 472802@bugs.debian.org
Subject: limesurvey: looking at it
Date: Fri, 29 Oct 2010 10:39:03 +0200
Hi there,

As I'm interested in using this package in production, I am willing to
spend some time fixing the packaging. I'm a Debian Maintainer with some
experience mostly with Java packages. I'll commit my work to collab-maint
when I get to something installable that kind-of works.

Jan-Pascal








Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#472802; Package wnpp. (Fri, 29 Oct 2010 09:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 29 Oct 2010 09:21:06 GMT) Full text and rfc822 format available.

Message #132 received at 472802@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Jan-Pascal van Best <janpascal@vanbest.org>, 472802@bugs.debian.org
Subject: Re: Bug#472802: limesurvey: looking at it
Date: Fri, 29 Oct 2010 10:17:20 +0100
On Fri, Oct 29, 2010 at 10:39:03AM +0200, Jan-Pascal van Best wrote:
> Hi there,
> 
> As I'm interested in using this package in production, I am willing to
> spend some time fixing the packaging. I'm a Debian Maintainer with some
> experience mostly with Java packages. I'll commit my work to collab-maint
> when I get to something installable that kind-of works.
> 
> Jan-Pascal

Cool!  Please do discuss it with the limesurvey team as well.

One of the killers in previous attempts has been handling the
installation phase.  The standard distribution of limesurvey requires
visiting an installation web page on the server, then deleting (or
otherwise disabling) the installation scripts afterwards.  This is
highly impractical for a Debian system, as any upgrade of the package
will reinstall such scripts.  What is needed is some sort of postinst
script which will do the work automatically (presumably with the use
of debconf questions to gather the requisite information).

Good luck!

   Julian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Fri, 29 Oct 2010 15:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nicolas@barcet.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Fri, 29 Oct 2010 15:24:02 GMT) Full text and rfc822 format available.

Message #137 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nicolas@barcet.com>
To: 472802@bugs.debian.org
Subject: Re: Bug#472802: limesurvey: looking at it
Date: Fri, 29 Oct 2010 11:21:32 -0400
[Message part 1 (text/plain, inline)]
On 10/29/2010 05:17 AM, Julian Gilbey wrote:
> On Fri, Oct 29, 2010 at 10:39:03AM +0200, Jan-Pascal van Best wrote:
>> Hi there,
>>
>> As I'm interested in using this package in production, I am willing to
>> spend some time fixing the packaging. I'm a Debian Maintainer with some
>> experience mostly with Java packages. I'll commit my work to collab-maint
>> when I get to something installable that kind-of works.
>>
>> Jan-Pascal
> 
> Cool!  Please do discuss it with the limesurvey team as well.
> 
> One of the killers in previous attempts has been handling the
> installation phase.  The standard distribution of limesurvey requires
> visiting an installation web page on the server, then deleting (or
> otherwise disabling) the installation scripts afterwards.  This is
> highly impractical for a Debian system, as any upgrade of the package
> will reinstall such scripts.  What is needed is some sort of postinst
> script which will do the work automatically (presumably with the use
> of debconf questions to gather the requisite information).

Feel free to use my work available at [1] if you want.  It's now a year old.

[1] http://www.nijaba.info/debian/

Nick


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Fri, 29 Oct 2010 20:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan-Pascal van Best <janpascal@vanbest.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Fri, 29 Oct 2010 20:30:06 GMT) Full text and rfc822 format available.

Message #142 received at 472802@bugs.debian.org (full text, mbox):

From: Jan-Pascal van Best <janpascal@vanbest.org>
To: 472802@bugs.debian.org
Subject: Re: Bug#472802: limesurvey: looking at it
Date: Fri, 29 Oct 2010 22:28:49 +0200
[Message part 1 (text/plain, inline)]
On 10/29/2010 11:17 AM, Julian Gilbey wrote:
> On Fri, Oct 29, 2010 at 10:39:03AM +0200, Jan-Pascal van Best wrote:
>   
>> Hi there,
>>
>> As I'm interested in using this package in production, I am willing to
>> spend some time fixing the packaging. I'm a Debian Maintainer with some
>> experience mostly with Java packages. I'll commit my work to collab-maint
>> when I get to something installable that kind-of works.
>>     
>
Collab-maint still pending, but here's a version that installs and
allows you to log in as admin (not tested further):

http://www.vanbest.org/debian/unstable/limesurvey_1.90plus-build9343-1~pre1_all.deb

source package at

http://www.vanbest.org/debian/unstable/limesurvey_1.90plus-build9343-1~pre1.dsc

Cheers

Jan-Pascal


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Mon, 01 Nov 2010 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jan-Pascal van Best" <janpascal@vanbest.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Mon, 01 Nov 2010 08:03:03 GMT) Full text and rfc822 format available.

Message #147 received at 472802@bugs.debian.org (full text, mbox):

From: "Jan-Pascal van Best" <janpascal@vanbest.org>
To: 472802@bugs.debian.org
Subject: limesurvey collab-maint repository
Date: Mon, 1 Nov 2010 08:59:22 +0100
Initial packaging for limesurvey-1.90+ to be found at

svn:           svn+ssh://svn.debian.org/svn/collab-maint/deb-maint/limesurvey
websvn:        http://svn.debian.org/wsvn/collab-maint/deb-maint/limesurvey/
anonymous svn: svn://svn.debian.org/svn/collab-maint/deb-maint/limesurvey

Nick, most of this is your work, thank you. I've updated the patches for
the new upstream version, done some small fixes.

Jan-Pascal






Forcibly Merged 472802 610951. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 11:06:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: limesurvey -- web-based survey design, distribution, and collectionITP: LimeSurvey, web-based survey design, distribution, and collection' from 'ITP: limesurvey -- web based survey design and run' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 03 Feb 2011 18:33:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: limesurvey -- web-based survey design, distribution, and collection' from 'ITP: limesurvey -- web-based survey design, distribution, and collectionITP: LimeSurvey, web-based survey design, distribution, and collection' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 03 Feb 2011 18:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Mon, 21 Mar 2011 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Gerlach <eric.gerlach@uwaterloo.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Mon, 21 Mar 2011 17:51:03 GMT) Full text and rfc822 format available.

Message #158 received at 472802@bugs.debian.org (full text, mbox):

From: Eric Gerlach <eric.gerlach@uwaterloo.ca>
To: "472802@bugs.debian.org" <472802@bugs.debian.org>
Subject: I'd like to see this in Debian
Date: Mon, 21 Mar 2011 17:41:50 +0000
Hi Jan-Pascal,

I'd really like to see LimeSurvey get into Debian.  What can I do do help this along?  I've done a fair bit on internal packaging, but I'm not a DD.  Are your packages theoretically functional?

Cheers,

--
Eric Gerlach, IT Manager
Federation of Students
University of Waterloo
p: (519) 888-4567 x36329
e: egerlach@uwaterloo.ca
w: http://feds.ca/

"To Serve, Empower, and Represent the Undergraduate Students of the University of Waterloo"




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Mon, 21 Mar 2011 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nicolas@barcet.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Mon, 21 Mar 2011 18:57:03 GMT) Full text and rfc822 format available.

Message #163 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nicolas@barcet.com>
To: 472802@bugs.debian.org
Subject: Re: Bug#472802: I'd like to see this in Debian
Date: Mon, 21 Mar 2011 19:46:09 +0100
[Message part 1 (text/plain, inline)]
Hello Eric,

My package has been used to deploy Limesurvey a few time.  I think
Jean-Pascal is at the same place.  What we are really missing is a DD
that follows up on this...

Nick

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Fri, 08 Apr 2011 20:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Gerlach <eric.gerlach@uwaterloo.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Fri, 08 Apr 2011 20:24:28 GMT) Full text and rfc822 format available.

Message #168 received at 472802@bugs.debian.org (full text, mbox):

From: Eric Gerlach <eric.gerlach@uwaterloo.ca>
To: "472802@bugs.debian.org" <472802@bugs.debian.org>
Subject: Next step: debian-mentors?
Date: Fri, 8 Apr 2011 20:16:04 +0000
I've looked at the package, and it seems to be working in testing for me.  I think the next step is to contact debian-mentors to find a sponsor for the package according to this: http://wiki.debian.org/DebianMentorsFaq#How_do_I_get_a_sponsor_for_my_package.3F

I'm willing to put in the time to try to find a sponsor and work out getting the package uploaded, but you guys (Nick and Jean-Pascal) are the maintainers, really.  If one of you wants to take that on, I defer to you, if not, I hope you don't mind if I fight to get this into the archive.

Cheers,

-- 
Eric Gerlach, IT Manager
Federation of Students
University of Waterloo
p: (519) 888-4567 x36329
e: egerlach@uwaterloo.ca
w: http://feds.ca/

"To Serve, Empower, and Represent the Undergraduate Students of the University of Waterloo"





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Sun, 10 Apr 2011 06:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nicolas@barcet.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Sun, 10 Apr 2011 06:42:04 GMT) Full text and rfc822 format available.

Message #173 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nicolas@barcet.com>
To: 472802@bugs.debian.org
Subject: Re: Bug#472802: Next step: debian-mentors?
Date: Sun, 10 Apr 2011 08:30:22 +0200
[Message part 1 (text/plain, inline)]
On 04/08/2011 10:16 PM, Eric Gerlach wrote:
>  I'm willing to put in the time to try to find a sponsor and work out
> getting the package uploaded, but you guys (Nick and Jean-Pascal) are
> the maintainers, really.  If one of you wants to take that on, I
> defer to you, if not, I hope you don't mind if I fight to get this
> into the archive.

Please do. Its has already been 3 years since I first packaged this and
if we can finally find a sponsor, I'll be more than happy...

Thanks,
Nick


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#472802; Package wnpp. (Sun, 10 Apr 2011 09:18:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 10 Apr 2011 09:18:41 GMT) Full text and rfc822 format available.

Message #178 received at 472802@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Nicolas Barcet <nicolas@barcet.com>, 472802@bugs.debian.org
Subject: Re: Bug#472802: Next step: debian-mentors?
Date: Sun, 10 Apr 2011 09:39:52 +0100
On Sun, Apr 10, 2011 at 08:30:22AM +0200, Nicolas Barcet wrote:
> On 04/08/2011 10:16 PM, Eric Gerlach wrote:
> >  I'm willing to put in the time to try to find a sponsor and work out
> > getting the package uploaded, but you guys (Nick and Jean-Pascal) are
> > the maintainers, really.  If one of you wants to take that on, I
> > defer to you, if not, I hope you don't mind if I fight to get this
> > into the archive.
> 
> Please do. Its has already been 3 years since I first packaged this and
> if we can finally find a sponsor, I'll be more than happy...

I'm sorry for having been pretty rubbish; real life has just been *so*
crazy in the last few years :-(

Comments on the version in collab-maint (following a very brief
glance at postinst):

- don't use sudo in the maintainer scripts; there's no guarantee it'll
  be installed; it runs as root, anyway, so you can just do a plain
  chmod.

- the install/upgrade directories are chmod +x early on, but this is
  not undone in the abort-* or * targets; also, the upgrade directory
  is never locked again - is this correct?

If someone else has time to mentor this, that would be great.

   Julian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Mon, 20 Jun 2011 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Gerlach <eric.gerlach@uwaterloo.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Mon, 20 Jun 2011 22:33:03 GMT) Full text and rfc822 format available.

Message #183 received at 472802@bugs.debian.org (full text, mbox):

From: Eric Gerlach <eric.gerlach@uwaterloo.ca>
To: "472802@bugs.debian.org" <472802@bugs.debian.org>
Subject: Progress....
Date: Mon, 20 Jun 2011 22:23:29 +0000
I have access to collab-maint now, and I'm in the process of de-linting.

Only three things left to do, AFAICT:

- Fix up the postinst as per Julian's suggestions
- Upgrade to the newest upstream release
- Upgrade to the most recent Standards-Version

Then I'll submit to debian-mentors.  Should be able to get there within a week or two.

Cheers,

-- 
Eric Gerlach, IT Manager
Federation of Students
University of Waterloo
p: (519) 888-4567 x36329
e: egerlach@uwaterloo.ca
w: http://feds.ca/

"To Serve, Empower, and Represent the Undergraduate Students of the University of Waterloo"






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Wed, 22 Jun 2011 21:15:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Gerlach <eric.gerlach@uwaterloo.ca>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Wed, 22 Jun 2011 21:16:16 GMT) Full text and rfc822 format available.

Message #188 received at 472802@bugs.debian.org (full text, mbox):

From: Eric Gerlach <eric.gerlach@uwaterloo.ca>
To: "472802@bugs.debian.org" <472802@bugs.debian.org>
Subject: New updated packaging available
Date: Wed, 22 Jun 2011 21:08:31 +0000
Hi everyone,

I've just committed a few modifications to the packaging making it lintian clean and upgrading to 1.91+.  In order to build the package you'll need to download 1.91 build 10315 of limesurvey and rename it to limesurvey_1.91plus-build10315.orig.tar.bz2 (assuming you grabbed the bz2 archive).

At this point, Nick, Jan-Pascal, do you want to remain maintainers on the package?  Julian, you appear to be a DD, would you sponsor this package?  My GPG key is on a backup (not on my main computer, whoops), so I'm going to get that sorted out tonight and upload to mentors.debian.net tomorrow.  If I don't hear from anyone in the next few days, I'm going to ask for a mentor to get this uploaded.

Cheers,

-- 
Eric Gerlach, IT Manager
Federation of Students
University of Waterloo
p: (519) 888-4567 x36329
e: egerlach@uwaterloo.ca
w: http://feds.ca/

"To Serve, Empower, and Represent the Undergraduate Students of the University of Waterloo"






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Fri, 24 Jun 2011 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Barcet <nicolas@barcet.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Fri, 24 Jun 2011 14:45:06 GMT) Full text and rfc822 format available.

Message #193 received at 472802@bugs.debian.org (full text, mbox):

From: Nicolas Barcet <nicolas@barcet.com>
To: 472802@bugs.debian.org
Subject: Re: Bug#472802: New updated packaging available
Date: Fri, 24 Jun 2011 07:35:24 -0700
[Message part 1 (text/plain, inline)]
On 06/22/2011 02:08 PM, Eric Gerlach wrote:
> At this point, Nick, Jan-Pascal, do you want to remain maintainers on
> the package?  

If you need help, I gladly will provide, but I am fine either way.

Nick

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Mon, 05 Dec 2011 15:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Mon, 05 Dec 2011 15:03:06 GMT) Full text and rfc822 format available.

Message #198 received at 472802@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: 472802@bugs.debian.org
Subject: Some remaining package issues
Date: Mon, 5 Dec 2011 15:59:32 +0100
Hello all,

The package seems to be almost there.  I have encountered a
few issues.

First of all, the mergeWithUpstream property doesn't seem to be set
on svn+ssh://svn.debian.org/svn/collab-maint/deb-maint/limesurvey/trunk/debian
It took me some time before I realised why it was constantly complaining
about the source.

Secondly, there are some lintian errors left:

  W: limesurvey source: debian-rules-missing-recommended-target build-arch
  W: limesurvey source: debian-rules-missing-recommended-target build-indep
  W: limesurvey source: out-of-date-standards-version 3.9.1 (current is 3.9.2)
  W: limesurvey: duplicate-changelog-files usr/share/doc/limesurvey/changelog.gz usr/share/doc/limesurvey/release_notes.txt.gz

But they should not be hard to solve.

Thirdly, PostgreSQL-support.  There, I encountered a few issues that may
well be due to dbconfig.  So, the setup script
/usr/share/limesurvey/admin/install.done/cmd_install.php fails.  It
cannot connect to the database create.
I think it is because common.php, included by the setup script tries to
connect to the database, while this doesn't exist yet.  When I go via:

  $ sudo -u postgres psql
  postgres=# CREATE DATABASE limesurvey;

The script suddenly works!
After this, I can reach the site, i.e. /limesurvey/admin.php, but am
not able to login with admin/password.  However, this seems to be an
already reported issue: http://bugs.limesurvey.org/view.php?id=5586 .
I'll just have to wait for reactions.  Or is anyone else here using
it succesfully with PostgreSQL.

Cheers,
Paul


-- 
Using the Power of Debian GNU/Linux | email: paulvt@debian.org
jabber/gtalk: paul@luon.netl        | GnuPG key ID: 0x50064181




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Wed, 14 Dec 2011 12:57:18 GMT) Full text and rfc822 format available.

Message #201 received at 472802@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Jan-Pascal van Best <janpascal@vanbest.org>, 472802@bugs.debian.org, Eric Gerlach <eric.gerlach@uwaterloo.ca>, Nicolas Barcet <nicolas@barcet.com>, Julian Gilbey <jdg@debian.org>, Paul van Tilburg <paulvt@debian.org>
Subject: Re: Bug#472802: limesurvey maintenance
Date: Wed, 14 Dec 2011 13:53:43 +0100
[Message part 1 (text/plain, inline)]
Hi,

a customer of us is interested in having proper limesurvey packages in
Debian, so I spent some effort on the collab-maint repo last month.
Sorry for the massive Cc list, but I wasn't really sure who is going
to be Maintainer/Uploader. I will be able to spend some time on the
package and do uploads, but I won't be the primary Maintainer. So if
someone needs sponsoring, please ask me.

I haven't really looked closer, but the embedded libraries look like
they should (could?) be removed, so I'd propose to go for an
experimental upload until this has been resolved (or deemed
infeasible).

Re: Paul van Tilburg 2011-12-05 <20111205145932.GB26667@salyut.spacelabs.nl>
> Thirdly, PostgreSQL-support.  There, I encountered a few issues that may
> well be due to dbconfig.  So, the setup script
> /usr/share/limesurvey/admin/install.done/cmd_install.php fails.  It
> cannot connect to the database create.
> I think it is because common.php, included by the setup script tries to
> connect to the database, while this doesn't exist yet.  When I go via:
> 
>   $ sudo -u postgres psql
>   postgres=# CREATE DATABASE limesurvey;
> 
> The script suddenly works!

I noticed similar problems, I eventually managed to get it running,
but didn't try to debug the scripts. (We have a running database and
just need updated packages so this is not a problem here.)

> After this, I can reach the site, i.e. /limesurvey/admin.php, but am
> not able to login with admin/password.  However, this seems to be an
> already reported issue: http://bugs.limesurvey.org/view.php?id=5586 .
> I'll just have to wait for reactions.  Or is anyone else here using
> it succesfully with PostgreSQL.

Same here in my local tests.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Wed, 14 Dec 2011 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Wed, 14 Dec 2011 14:42:04 GMT) Full text and rfc822 format available.

Message #206 received at 472802@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: Christoph Berg <myon@debian.org>, Jan-Pascal van Best <janpascal@vanbest.org>, 472802@bugs.debian.org, Eric Gerlach <eric.gerlach@uwaterloo.ca>, Nicolas Barcet <nicolas@barcet.com>, Julian Gilbey <jdg@debian.org>, Paul van Tilburg <paulvt@debian.org>
Subject: Re: Bug#472802: limesurvey maintenance
Date: Wed, 14 Dec 2011 15:39:55 +0100
On Wed, Dec 14, 2011 at 01:53:43PM +0100, Christoph Berg wrote:
> a customer of us is interested in having proper limesurvey packages in
> Debian, so I spent some effort on the collab-maint repo last month.
> Sorry for the massive Cc list, but I wasn't really sure who is going
> to be Maintainer/Uploader. 

Same here, so again, sorry for the massive Cc-list.
I also have a customer that is using it, so I used the current
build.  I will commit my fix to collab-maint, if I can find it ;)

> I will be able to spend some time on the
> package and do uploads, but I won't be the primary Maintainer. So if
> someone needs sponsoring, please ask me.

I have little time to work on it, but can help with sponsoring as well.

Cheers,
Paul

-- 
Using the Power of Debian GNU/Linux | email: paulvt@debian.org
jabber/gtalk: paul@luon.netl        | GnuPG key ID: 0x50064181




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Gilbey <jdg@debian.org>:
Bug#472802; Package wnpp. (Mon, 27 May 2013 13:32:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Gilbey <jdg@debian.org>. (Mon, 27 May 2013 13:32:39 GMT) Full text and rfc822 format available.

Message #211 received at 472802@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 472802@bugs.debian.org
Cc: control@bugs.debian.org
Subject: limesurvey: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:11 +0200
retitle 472802 RFP: limesurvey -- web-based survey design, distribution, and collection
noowner 472802
tag 472802 - pending
thanks

Hi,

This is an automatic email to change the status of limesurvey back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting limesurvey, please send a mail to
<control@bugs.debian.org> with:

 retitle 472802 ITP: limesurvey -- web-based survey design, distribution, and collection
 owner 472802 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <472802@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: limesurvey -- web-based survey design, distribution, and collection' from 'ITP: limesurvey -- web-based survey design, distribution, and collection' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:57:43 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Julian Gilbey <jdg@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:57:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:15:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.